--=======================================================================================================================
-- ART DEFINES
--=======================================================================================================================
-- Icon Atlases
-------------------------------------------------------------------------------------------------------------------------	
INSERT INTO IconTextureAtlases 
(Atlas, 						IconSize, 	Filename, 					IconsPerRow, 	IconsPerColumn) VALUES
('JAR_NATWON_ATLAS', 			256, 		'JarCoM_Atlas_256.dds',		4, 				2),
('JAR_NATWON_ATLAS', 			128, 		'JarCoM_Atlas_128.dds',		4, 				2),
('JAR_NATWON_ATLAS', 			80, 		'JarCoM_Atlas_80.dds',		4, 				2),
('JAR_NATWON_ATLAS', 			64, 		'JarCoM_Atlas_64.dds',		4, 				2),
('JAR_NATWON_ATLAS', 			45, 		'JarCoM_Atlas_45.dds',		4, 				2);
--======================================================================================================================
-- NEW BUILDINGS
--======================================================================================================================
-- BuildingClasses
------------------------------------------------------------------------------------------------------------------------
INSERT OR REPLACE INTO BuildingClasses
(DefaultBuilding, 			Type,							Description) VALUES
('BUILDING_JAR_DURUNTASH',	'BUILDINGCLASS_JAR_DURUNTASH',	'TXT_KEY_BUILDING_JAR_DURUNTASH'),
('BUILDING_JAR_WATERWORKS',	'BUILDINGCLASS_JAR_WATERWORKS',	'TXT_KEY_BUILDING_JAR_WATERWORKS'),
('BUILDING_JAR_JOUSTING',	'BUILDINGCLASS_JAR_JOUSTING',	'TXT_KEY_BUILDING_JAR_JOUSTING'),
('BUILDING_JAR_DIPLOMIS',	'BUILDINGCLASS_JAR_DIPLOMIS',	'TXT_KEY_BUILDING_JAR_DIPLOMIS'),
('BUILDING_JAR_NATTHEATRE',	'BUILDINGCLASS_JAR_NATTHEATRE',	'TXT_KEY_BUILDING_JAR_NATTHEATRE'),
('BUILDING_JAR_NATAQUARIUM','BUILDINGCLASS_JAR_NATAQUARIUM','TXT_KEY_BUILDING_JAR_NATAQUARIUM'),
('BUILDING_JAR_NATSTADIUM',	'BUILDINGCLASS_JAR_NATSTADIUM',	'TXT_KEY_BUILDING_JAR_NATSTADIUM'),
('BUILDING_JAR_POLYTECHNIC','BUILDINGCLASS_JAR_POLYTECHNIC','TXT_KEY_BUILDING_JAR_POLYTECHNIC');

UPDATE BuildingClasses SET MaxPlayerInstances=1 WHERE Type IN
('BUILDINGCLASS_JAR_DURUNTASH', 'BUILDINGCLASS_JAR_WATERWORKS', 'BUILDINGCLASS_JAR_JOUSTING','BUILDINGCLASS_JAR_DIPLOMIS', 
'BUILDINGCLASS_JAR_NATTHEATRE', 'BUILDINGCLASS_JAR_NATAQUARIUM', 'BUILDINGCLASS_JAR_NATSTADIUM','BUILDINGCLASS_JAR_POLYTECHNIC');

INSERT OR REPLACE INTO Buildings
		(Type, 						BuildingClass, 					PrereqTech, 		Cost,	 Description, 						Civilopedia, 							Strategy, 									Help, 									MinAreaSize, ConquestProb, ArtDefineTag, IconAtlas, 			PortraitIndex)
SELECT	'BUILDING_JAR_DURUNTASH',	'BUILDINGCLASS_JAR_DURUNTASH',	'TECH_AGRICULTURE',	110,	'TXT_KEY_BUILDING_JAR_DURUNTASH',	'TXT_KEY_BUILDING_JAR_DURUNTASH_PEDIA',	'TXT_KEY_BUILDING_JAR_DURUNTASH_STRATEGY',	'TXT_KEY_BUILDING_JAR_DURUNTASH_HELP',	MinAreaSize, ConquestProb, ArtDefineTag, 'JAR_NATWON_ATLAS', 0 FROM Buildings WHERE Type='BUILDING_SHRINE' UNION ALL
SELECT	'BUILDING_JAR_WATERWORKS',	'BUILDINGCLASS_JAR_WATERWORKS',	'TECH_POTTERY',		110,	'TXT_KEY_BUILDING_JAR_WATERWORKS',	'TXT_KEY_BUILDING_JAR_WATERWORKS_PEDIA',	'TXT_KEY_BUILDING_JAR_WATERWORKS_STRATEGY',	'TXT_KEY_BUILDING_JAR_WATERWORKS_HELP',	MinAreaSize, ConquestProb, ArtDefineTag, 'JAR_NATWON_ATLAS', 1 FROM Buildings WHERE Type='BUILDING_SHRINE' UNION ALL
SELECT	'BUILDING_JAR_JOUSTING',	'BUILDINGCLASS_JAR_JOUSTING',	'TECH_AGRICULTURE',	110,	'TXT_KEY_BUILDING_JAR_JOUSTING',	'TXT_KEY_BUILDING_JAR_JOUSTING_PEDIA',	'TXT_KEY_BUILDING_JAR_JOUSTING_STRATEGY',	'TXT_KEY_BUILDING_JAR_JOUSTING_HELP',	MinAreaSize, ConquestProb, ArtDefineTag, 'JAR_NATWON_ATLAS', 2 FROM Buildings WHERE Type='BUILDING_ARMORY' UNION ALL
SELECT	'BUILDING_JAR_DIPLOMIS',	'BUILDINGCLASS_JAR_DIPLOMIS',	'TECH_AGRICULTURE',	110,	'TXT_KEY_BUILDING_JAR_DIPLOMIS',	'TXT_KEY_BUILDING_JAR_DIPLOMIS_PEDIA',	'TXT_KEY_BUILDING_JAR_DIPLOMIS_STRATEGY',	'TXT_KEY_BUILDING_JAR_DIPLOMIS_HELP',	MinAreaSize, ConquestProb, ArtDefineTag, 'JAR_NATWON_ATLAS', 3 FROM Buildings WHERE Type='BUILDING_CONSTABLE' UNION ALL
SELECT	'BUILDING_JAR_NATTHEATRE',	'BUILDINGCLASS_JAR_NATTHEATRE',	'TECH_PRINTING_PRESS',	110,	'TXT_KEY_BUILDING_JAR_NATTHEATRE',	'TXT_KEY_BUILDING_JAR_NATTHEATRE_PEDIA',	'TXT_KEY_BUILDING_JAR_NATTHEATRE_STRATEGY',	'TXT_KEY_BUILDING_JAR_NATTHEATRE_HELP',	MinAreaSize, ConquestProb, ArtDefineTag, 'JAR_NATWON_ATLAS', 4 FROM Buildings WHERE Type='BUILDING_AMPHITHEATER' UNION ALL
SELECT	'BUILDING_JAR_NATAQUARIUM',	'BUILDINGCLASS_JAR_NATAQUARIUM','TECH_AGRICULTURE',	110,	'TXT_KEY_BUILDING_JAR_NATAQUARIUM',	'TXT_KEY_BUILDING_JAR_NATAQUARIUM_PEDIA',	'TXT_KEY_BUILDING_JAR_NATAQUARIUM_STRATEGY',	'TXT_KEY_BUILDING_JAR_NATAQUARIUM_HELP',MinAreaSize, ConquestProb, ArtDefineTag, 'JAR_NATWON_ATLAS', 5 FROM Buildings WHERE Type='BUILDING_THEATRE' UNION ALL
SELECT	'BUILDING_JAR_NATSTADIUM',	'BUILDINGCLASS_JAR_NATSTADIUM',	'TECH_AGRICULTURE',	110,	'TXT_KEY_BUILDING_JAR_NATSTADIUM',	'TXT_KEY_BUILDING_JAR_NATSTADIUM_PEDIA',	'TXT_KEY_BUILDING_JAR_NATSTADIUM_STRATEGY',	'TXT_KEY_BUILDING_JAR_NATSTADIUM_HELP',	MinAreaSize, ConquestProb, ArtDefineTag, 'JAR_NATWON_ATLAS', 6 FROM Buildings WHERE Type='BUILDING_STADIUM' UNION ALL
SELECT	'BUILDING_JAR_POLYTECHNIC',	'BUILDINGCLASS_JAR_POLYTECHNIC','TECH_AGRICULTURE',	110,	'TXT_KEY_BUILDING_JAR_POLYTECHNIC',	'TXT_KEY_BUILDING_JAR_POLYTECHNIC_PEDIA',	'TXT_KEY_BUILDING_JAR_POLYTECHNIC_STRATEGY',	'TXT_KEY_BUILDING_JAR_POLYTECHNIC_HELP',MinAreaSize, ConquestProb, ArtDefineTag, 'JAR_NATWON_ATLAS', 7 FROM Buildings WHERE Type='BUILDING_PUBLIC_SCHOOL';

UPDATE Buildings SET NationalPopRequired = 5, NeverCapture=1,
NumCityCostMod = (SELECT NumCityCostMod FROM Buildings WHERE Type = 'BUILDING_NATIONAL_COLLEGE'),
HurryCostModifier = (SELECT HurryCostModifier FROM Buildings WHERE Type = 'BUILDING_NATIONAL_EPIC')
WHERE Type IN ('BUILDING_JAR_DURUNTASH', 'BUILDING_JAR_WATERWORKS');

UPDATE Buildings SET UnitUpgradeCostMod= -15, CitySupplyFlat = 2,
NumCityCostMod = (SELECT NumCityCostMod FROM Buildings WHERE Type = 'BUILDING_NATIONAL_COLLEGE'),
Cost = (SELECT Cost FROM Buildings WHERE Type = 'BUILDING_OXFORD_UNIVERSITY'),
PrereqTech = (SELECT PrereqTech FROM Buildings WHERE Type = 'BUILDING_ARMORY'),
NationalPopRequired = (SELECT NationalPopRequired FROM Buildings WHERE Type = 'BUILDING_OXFORD_UNIVERSITY'),
HurryCostModifier = (SELECT HurryCostModifier FROM Buildings WHERE Type = 'BUILDING_OXFORD_UNIVERSITY')
WHERE Type ='BUILDING_JAR_JOUSTING';

UPDATE Buildings SET SingleLeagueVotes=2, ExtraSpies=1, NeverCapture=1,
SpecialistType='SPECIALIST_CIVIL_SERVANT', GreatPeopleRateChange=1, SpecialistCount = 1,
NumCityCostMod = (SELECT NumCityCostMod FROM Buildings WHERE Type = 'BUILDING_PRINTING_PRESS'),
Cost = (SELECT Cost FROM Buildings WHERE Type = 'BUILDING_PRINTING_PRESS'),
PrereqTech = (SELECT PrereqTech FROM Buildings WHERE Type = 'BUILDING_CONSTABLE'),
NationalPopRequired = (SELECT NationalPopRequired FROM Buildings WHERE Type = 'BUILDING_PRINTING_PRESS'),
HurryCostModifier = (SELECT HurryCostModifier FROM Buildings WHERE Type = 'BUILDING_PRINTING_PRESS')
WHERE Type ='BUILDING_JAR_DIPLOMIS';

UPDATE Buildings SET NeverCapture=1, SpecialistType='SPECIALIST_WRITER', GreatPeopleRateChange=2,
NumCityCostMod = (SELECT NumCityCostMod FROM Buildings WHERE Type = 'BUILDING_PRINTING_PRESS'),
Cost = (SELECT Cost FROM Buildings WHERE Type = 'BUILDING_PRINTING_PRESS'),
NationalPopRequired = (SELECT NationalPopRequired FROM Buildings WHERE Type = 'BUILDING_PRINTING_PRESS'),
HurryCostModifier = (SELECT HurryCostModifier FROM Buildings WHERE Type = 'BUILDING_PRINTING_PRESS')
WHERE Type ='BUILDING_JAR_NATTHEATRE';

UPDATE Buildings SET NeverCapture=1,
NumCityCostMod = (SELECT NumCityCostMod FROM Buildings WHERE Type = 'BUILDING_PRINTING_PRESS'),
Cost = 520, NationalPopRequired = 40,
PrereqTech = (SELECT PrereqTech FROM Buildings WHERE Type = 'BUILDING_THEATRE'),
HurryCostModifier = (SELECT HurryCostModifier FROM Buildings WHERE Type = 'BUILDING_PRINTING_PRESS')
WHERE Type ='BUILDING_JAR_NATAQUARIUM';

UPDATE Buildings SET NeverCapture=1, SpecialistType='SPECIALIST_SCIENTIST', GreatPeopleRateChange=2,
NumCityCostMod = (SELECT NumCityCostMod FROM Buildings WHERE Type = 'BUILDING_FOREIGN_OFFICE'),
Cost = 520, NationalPopRequired = 40,
PrereqTech = (SELECT PrereqTech FROM Buildings WHERE Type = 'BUILDING_PUBLIC_SCHOOL'),
HurryCostModifier = (SELECT HurryCostModifier FROM Buildings WHERE Type = 'BUILDING_FOREIGN_OFFICE')
WHERE Type ='BUILDING_JAR_POLYTECHNIC';

UPDATE Buildings SET NeverCapture=1, GoldenAge=1, GoldenAgeModifier=25,
NumCityCostMod = (SELECT NumCityCostMod FROM Buildings WHERE Type = 'BUILDING_FOREIGN_OFFICE'),
Cost = 850, NationalPopRequired = 45,
PrereqTech = (SELECT PrereqTech FROM Buildings WHERE Type = 'BUILDING_STADIUM'),
HurryCostModifier = (SELECT HurryCostModifier FROM Buildings WHERE Type = 'BUILDING_FOREIGN_OFFICE')
WHERE Type ='BUILDING_JAR_NATSTADIUM';

UPDATE Buildings SET Defense=200 WHERE Type='BUILDING_JAR_DURUNTASH';
UPDATE Buildings SET FoodKept= 10 WHERE Type='BUILDING_JAR_WATERWORKS';
------------------------------------------------------------------------------------------------------------------------
-- Building_Flavors
------------------------------------------------------------------------------------------------------------------------
INSERT OR REPLACE INTO Building_Flavors
(BuildingType,						FlavorType,			Flavor)
SELECT	'BUILDING_JAR_DURUNTASH',	'FLAVOR_CITY_DEFENSE',	10 UNION ALL
SELECT	'BUILDING_JAR_DURUNTASH',	'FLAVOR_RELIGION',	50 UNION ALL
SELECT	'BUILDING_JAR_WATERWORKS',	'FLAVOR_GROWTH',	50 UNION ALL
SELECT	'BUILDING_JAR_WATERWORKS',	'FLAVOR_EXPANSION',	15 UNION ALL
SELECT	'BUILDING_JAR_JOUSTING',	'FLAVOR_MILITARY_TRAINING',	50 UNION ALL
SELECT	'BUILDING_JAR_JOUSTING',	'FLAVOR_OFFENSE',	10 UNION ALL
SELECT	'BUILDING_JAR_JOUSTING',	'FLAVOR_DEFENSE',	10 UNION ALL
SELECT	'BUILDING_JAR_JOUSTING',	'FLAVOR_GOLD',		10 UNION ALL
SELECT	'BUILDING_JAR_DIPLOMIS',	'FLAVOR_DIPLOMACY',	10 UNION ALL
SELECT	'BUILDING_JAR_DIPLOMIS',	'FLAVOR_ESPIONAGE',		10 UNION ALL
SELECT	'BUILDING_JAR_DIPLOMIS',	'FLAVOR_GREAT_PEOPLE',	10 UNION ALL
SELECT	'BUILDING_JAR_NATTHEATRE',	'FLAVOR_CULTURE',		10 UNION ALL
SELECT	'BUILDING_JAR_NATTHEATRE',	'FLAVOR_GREAT_PEOPLE',	10 UNION ALL
SELECT	'BUILDING_JAR_NATAQUARIUM',	'FLAVOR_SCIENCE',		10 UNION ALL
SELECT	'BUILDING_JAR_NATAQUARIUM',	'FLAVOR_HAPPINESS',		50 UNION ALL
SELECT	'BUILDING_JAR_POLYTECHNIC',	'FLAVOR_SCIENCE',		30 UNION ALL
SELECT	'BUILDING_JAR_POLYTECHNIC',	'FLAVOR_GREAT_PEOPLE',	10 UNION ALL
SELECT	'BUILDING_JAR_NATSTADIUM',	'FLAVOR_HAPPINESS',		50;
------------------------------------------------------------------------------------------------------------------------
-- Building_YieldChanges
------------------------------------------------------------------------------------------------------------------------
INSERT OR REPLACE INTO Building_YieldChanges
(BuildingType, 				YieldType, 			Yield) VALUES
('BUILDING_JAR_DURUNTASH', 	'YIELD_FAITH', 		4),
('BUILDING_JAR_WATERWORKS', 'YIELD_FOOD', 		4),
('BUILDING_JAR_JOUSTING', 	'YIELD_GREAT_GENERAL_POINTS', 2),
('BUILDING_JAR_DIPLOMIS', 	'YIELD_CULTURE', 	2),
('BUILDING_JAR_NATTHEATRE', 'YIELD_CULTURE', 	2),
('BUILDING_JAR_NATTHEATRE', 'YIELD_GOLDEN_AGE_POINTS', 	2),
('BUILDING_JAR_NATAQUARIUM', 'YIELD_CULTURE', 	1),
('BUILDING_JAR_NATSTADIUM', 'YIELD_CULTURE', 	1),
('BUILDING_JAR_POLYTECHNIC', 'YIELD_CULTURE', 	1);
------------------------------------------------------------------------------------------------------------------------
-- Building_ClassesNeededInCity
------------------------------------------------------------------------------------------------------------------------
INSERT OR REPLACE INTO Building_ClassesNeededInCity
(BuildingType, 				BuildingClassType) VALUES
('BUILDING_JAR_DURUNTASH', 	'BUILDINGCLASS_SHRINE'),
('BUILDING_JAR_JOUSTING', 	'BUILDINGCLASS_ARMORY'),
('BUILDING_JAR_DIPLOMIS', 	'BUILDINGCLASS_CONSTABLE'),
('BUILDING_JAR_NATTHEATRE', 'BUILDINGCLASS_AMPHITHEATER'),
('BUILDING_JAR_NATAQUARIUM', 'BUILDINGCLASS_THEATRE'),
('BUILDING_JAR_NATSTADIUM', 'BUILDINGCLASS_STADIUM'),
('BUILDING_JAR_POLYTECHNIC', 'BUILDINGCLASS_PUBLIC_SCHOOL'),
('BUILDING_JAR_WATERWORKS', 'BUILDINGCLASS_GRANARY');
------------------------------------------------------------------------------------------------------------------------
-- Building_BuildingClassYieldChanges
------------------------------------------------------------------------------------------------------------------------
INSERT OR REPLACE INTO Building_BuildingClassYieldChanges
(BuildingType, 				BuildingClassType,		YieldType, 	YieldChange) VALUES
('BUILDING_JAR_DURUNTASH',	'BUILDINGCLASS_SHRINE','YIELD_CULTURE_LOCAL',	1),
('BUILDING_JAR_WATERWORKS',	'BUILDINGCLASS_GRANARY','YIELD_PRODUCTION',		1),
('BUILDING_JAR_WATERWORKS',	'BUILDINGCLASS_GRANARY','YIELD_FOOD',			1),
('BUILDING_JAR_JOUSTING',	'BUILDINGCLASS_BARRACKS','YIELD_CULTURE',		1),
('BUILDING_JAR_JOUSTING',	'BUILDINGCLASS_ARMORY',	'YIELD_CULTURE',		1),
('BUILDING_JAR_NATTHEATRE',	'BUILDINGCLASS_AMPHITHEATER','YIELD_GOLDEN_AGE_POINTS',	1),
('BUILDING_JAR_NATAQUARIUM','BUILDINGCLASS_THEATRE','YIELD_SCIENCE',		1),
('BUILDING_JAR_POLYTECHNIC','BUILDINGCLASS_UNIVERSITY','YIELD_PRODUCTION',	1);
------------------------------------------------------------------------------------------------------------------------
-- Building_YieldFromGPExpend
------------------------------------------------------------------------------------------------------------------------
INSERT INTO Building_YieldFromGPExpend
(BuildingType,				YieldType,			Yield) VALUES
('BUILDING_JAR_NATTHEATRE',	'YIELD_CULTURE',	25);
------------------------------------------------------------------------------------------------------------------------
-- Building_YieldFromYieldPercentGlobal
------------------------------------------------------------------------------------------------------------------------
INSERT INTO Building_YieldFromYieldPercentGlobal
(BuildingType, 					YieldIn, 				YieldOut, 		Value) VALUES
('BUILDING_JAR_NATAQUARIUM', 	'YIELD_SCIENCE', 		'YIELD_GOLDEN_AGE_POINTS', 5),
('BUILDING_JAR_POLYTECHNIC', 	'YIELD_PRODUCTION', 	'YIELD_SCIENCE', 5);
------------------------------------------------------------------------------------------------------------------------
-- Building_FreeBuildingClassFoundedCity
------------------------------------------------------------------------------------------------------------------------
INSERT INTO Building_FreeBuildingClassFoundedCity
		(BuildingType,		BuildingClassType)
SELECT 	Type, 				'BUILDINGCLASS_BARRACKS' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_HEROIC_EPIC' UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_MONUMENT' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_NATIONAL_EPIC' UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_GROVE' 	 FROM Buildings WHERE BuildingClass='BUILDINGCLASS_NATIONAL_COLLEGE' UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_COLOSSEUM' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_CIRCUS_MAXIMUS' UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_WORKSHOP' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_IRONWORKS' UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_LIBRARY' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_OXFORD_UNIVERSITY' UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_GALLERY' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_HERMITAGE' UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_CHANCERY' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_PRINTING_PRESS' UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_WIRE_SERVICE' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_FOREIGN_OFFICE' UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_CARAVANSARY' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_NATIONAL_TREASURY' UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_TEMPLE' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_GRAND_TEMPLE' UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_POLICE_STATION' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_INTELLIGENCE_AGENCY' UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_BANK' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_FA_CENTRAL_BANK' AND EXISTS (SELECT * FROM BuildingClasses WHERE Type='BUILDINGCLASS_FA_CENTRAL_BANK') UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_HARBOR' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_FA_SEA_ACADEMY' AND EXISTS (SELECT * FROM BuildingClasses WHERE Type='BUILDINGCLASS_FA_SEA_ACADEMY')  UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_WALLS' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_FA_WAR_ACADEMY' AND EXISTS (SELECT * FROM BuildingClasses WHERE Type='BUILDINGCLASS_FA_WAR_ACADEMY')  UNION ALL
SELECT 	Type, 				'BUILDINGCLASS_MILITARY_ACADEMY' FROM Buildings WHERE BuildingClass='BUILDINGCLASS_FA_AIR_ACADEMY' AND EXISTS (SELECT * FROM BuildingClasses WHERE Type='BUILDINGCLASS_FA_AIR_ACADEMY')  UNION ALL
SELECT 	'BUILDING_JAR_DIPLOMIS', 	'BUILDINGCLASS_CONSTABLE' UNION ALL
SELECT 	'BUILDING_JAR_NATTHEATRE', 	'BUILDINGCLASS_AMPHITHEATER' UNION ALL
SELECT 	'BUILDING_JAR_JOUSTING', 	'BUILDINGCLASS_ARMORY' UNION ALL
SELECT 	'BUILDING_JAR_NATAQUARIUM', 'BUILDINGCLASS_CIRCUS' UNION ALL
SELECT 	'BUILDING_JAR_NATSTADIUM', 	'BUILDINGCLASS_THEATRE' UNION ALL
SELECT 	'BUILDING_JAR_POLYTECHNIC',	'BUILDINGCLASS_UNIVERSITY';
--======================================================================================================================
-- Language_en_US
--======================================================================================================================
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with [COLOR_POSITIVE_TEXT]Barracks[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_HEROIC_EPIC');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Monument[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_NATIONAL_EPIC');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Council[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_NATIONAL_COLLEGE');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with an [COLOR_POSITIVE_TEXT]Arena[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_CIRCUS_MAXIMUS');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Workshop[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_IRONWORKS');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Library[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_OXFORD_UNIVERSITY');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Gallery[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_HERMITAGE');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Chancery[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_PRINTING_PRESS');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Wire Service[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_FOREIGN_OFFICE');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Caravansary[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_NATIONAL_TREASURY');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Temple[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_GRAND_TEMPLE');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Police Station[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_INTELLIGENCE_AGENCY');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Bank[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_FA_CENTRAL_BANK')
 AND EXISTS (SELECT * FROM BuildingClasses WHERE Type='BUILDINGCLASS_FA_CENTRAL_BANK');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Harbor[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_FA_SEA_ACADEMY')
 AND EXISTS (SELECT * FROM BuildingClasses WHERE Type='BUILDINGCLASS_FA_SEA_ACADEMY');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with [COLOR_POSITIVE_TEXT]Walls[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_FA_WAR_ACADEMY')
 AND EXISTS (SELECT * FROM BuildingClasses WHERE Type='BUILDINGCLASS_FA_WAR_ACADEMY');
UPDATE Language_en_US SET Text = Text||' [NEWLINE]Newly founded Cities start with [COLOR_POSITIVE_TEXT]Military Academy[ENDCOLOR].'
WHERE Tag IN (SELECT Help FROM Buildings WHERE BuildingClass='BUILDINGCLASS_FA_AIR_ACADEMY')
 AND EXISTS (SELECT * FROM BuildingClasses WHERE Type='BUILDINGCLASS_FA_AIR_ACADEMY');
 
INSERT OR REPLACE INTO Language_en_US (Tag, Text) VALUES
('TXT_KEY_BUILDING_JAR_DURUNTASH', 'Dur Untash'),	
('TXT_KEY_BUILDING_JAR_DURUNTASH_PEDIA', 'Dur Untash, also known as Chogha Zanbil, is an ancient Elamite complex located near Susa in modern-day Iran. Constructed around 1250 BCE by the king Untash-Napirisha, Dur Untash stands as a remarkable testament to the architectural and engineering prowess of the Elamite civilization. The complex is primarily composed of a massive ziggurat, dedicated to the god Inshushinak, and is surrounded by a well-planned city with residential areas, temples, and other structures. Despite its grandeur, Dur Untash was abandoned relatively soon after its completion, possibly due to political instability and the fall of the Elamite civilization. The site was rediscovered in the 19th century and in 1979 it was recognized as a UNESCO World Heritage site, providing valuable insights into the ancient Elamite culture and its religious practices. [NEWLINE][NEWLINE]Dur Untash''s ziggurat is an outstanding example of Elamite architecture, featuring a unique design with square terraces and a cylindrical core. The construction involved the use of mud bricks and baked bricks, and the ziggurat once soared to a height of about 52 meters. The site''s archaeological significance extends beyond its architectural marvels, as it also contains inscriptions and artifacts that offer glimpses into the religious beliefs and rituals of the Elamite people. Despite the site''s historical importance, Dur Untash faces challenges such as environmental decay and the need for preservation efforts to ensure its continued existence as a valuable cultural heritage site.'),	
('TXT_KEY_BUILDING_JAR_DURUNTASH_STRATEGY', 'Constructing this building is crucial to found a religion faster. A City must have a Shrine before it can construct the Dur Untash.'),	
('TXT_KEY_BUILDING_JAR_DURUNTASH_HELP', 'All Shrines gain +1 [ICON_CULTURE_LOCAL] Border Growth Point. [NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost and [ICON_CITIZEN] Population Requirements increase based on the number of Cities you own.'),	
('TXT_KEY_BUILDING_JAR_WATERWORKS', 'Waterworks'),	
('TXT_KEY_BUILDING_JAR_WATERWORKS_PEDIA', 'The origins of sanitation and waterworks can be traced back to ancient civilizations that recognized the vital importance of clean water and effective waste management. One of the earliest examples is found in the ancient Indus Valley Civilization (circa 3300–1300 BCE), where urban centers like Mohenjo-daro featured an advanced urban planning system that included a sophisticated network of brick-lined sewers. Homes in these cities were equipped with private bathrooms and toilets, connected to a comprehensive sewage system that reflected a high level of understanding regarding the necessity of sanitation for public health. The Indus people''s emphasis on maintaining clean and efficient water systems is a testament to their early recognition of the connection between hygiene and overall well-being. [NEWLINE][NEWLINE]In ancient Mesopotamia, the Sumerians developed innovative water management practices, constructing canals and irrigation systems to harness the waters of the Tigris and Euphrates rivers for agricultural purposes. The Code of Hammurabi, dating back to around 1754 BCE, even contained regulations related to water usage and sanitation. Meanwhile, the ancient Egyptians demonstrated a profound understanding of water control through the construction of canals, reservoirs, and drainage systems, particularly along the Nile River. These early efforts laid the groundwork for subsequent civilizations to refine and expand upon the principles of sanitation and waterworks, ultimately shaping the evolution of urban infrastructure and public health.'),	
('TXT_KEY_BUILDING_JAR_WATERWORKS_STRATEGY', 'A National Wonder granting a population growth boost to the City where it is constructed and to future Cities. A City must have a Granary before it can construct the Waterworks.'),	
('TXT_KEY_BUILDING_JAR_WATERWORKS_HELP', '10% of [ICON_FOOD] Food is carried over after a new [ICON_CITIZEN] Citizen is born. [NEWLINE]All Granaries gain +1 [ICON_FOOD] Food, +1 [ICON_PRODUCTION] Production. [NEWLINE]Newly founded Cities start with +1 [ICON_CITIZEN] Citizen. [NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost and [ICON_CITIZEN] Population Requirements increase based on the number of Cities you own.'),
('TXT_KEY_BUILDING_JAR_JOUSTING', 'National Joust'),	
('TXT_KEY_BUILDING_JAR_JOUSTING_PEDIA', 'Emerging in feudal Europe, jousting evolved from the practical need for knights to hone their combat skills. The earliest recorded tournaments took place in 11th-century France, where knights engaged in mock battles to sharpen their abilities in warfare. Over time, jousting became a highly stylized and ritualized spectacle, often held during festive occasions or as part of royal celebrations. The pinnacle of jousting''s popularity occurred during the High Middle Ages, with tournaments attracting participants from across Europe, showcasing chivalry, honor, and martial prowess. [NEWLINE][NEWLINE]Jousting tournaments typically involved two knights on horseback charging at each other with lances, aiming to unseat their opponent or break their lance on the opponent''s shield or armor. The events also included melee combat and other contests of skill. Jousting''s decline began in the late 16th century due to changes in warfare, shifting social values, and the rise of firearms. Despite its waning popularity, the legacy of medieval jousting endures in contemporary portrayals of chivalry and tournaments, highlighting its enduring impact on the cultural imagination of the Middle Ages.'),	
('TXT_KEY_BUILDING_JAR_JOUSTING_STRATEGY', 'A building granting some nifty military bonuses. A City must have an Armory before it can construct the National Joust.'),	
('TXT_KEY_BUILDING_JAR_JOUSTING_HELP', '+2 [ICON_GREAT_GENERAL] Great General Points. [NEWLINE]Increase [ICON_SILVER_FIST] Military Unit Supply Cap by 2. [NEWLINE]-15% [ICON_GOLD] Gold cost to upgrade Military Units. [NEWLINE]All Barracks and Armories gain +1 [ICON_CULTURE] Culture. [NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost and [ICON_CITIZEN] Population Requirements increase based on the number of Cities you own. [NEWLINE]Newly founded Cities start with an [COLOR_POSITIVE_TEXT]Armory[ENDCOLOR].'),	
('TXT_KEY_BUILDING_JAR_DIPLOMIS', 'Diplomatic Mission'),	
('TXT_KEY_BUILDING_JAR_DIPLOMIS_PEDIA', 'The formal establishment of permanent embassies as recognized diplomatic missions began to take shape during the Renaissance in the 15th and 16th centuries. The first modern embassy is often considered to be the Spanish Embassy in Venice, established in 1487. This marked a shift from ad-hoc diplomatic missions to a more structured and permanent system of representation. Over time, European nations formalized diplomatic practices, and embassies became essential institutions for fostering diplomatic relations, negotiating treaties, and promoting economic and cultural ties between states. [NEWLINE][NEWLINE]The concept of diplomatic immunity also emerged during this period, ensuring that diplomats could perform their duties without fear of arrest or interference. The Peace of Westphalia in 1648 further solidified the principles of modern diplomacy, recognizing the independence and equality of states. As the world became more interconnected, embassies proliferated globally, serving as hubs for international relations and playing a crucial role in maintaining peaceful interactions and resolving conflicts between nations. Today, embassies continue to be central to the conduct of international diplomacy, providing a physical presence for countries to engage with one another and navigate the complexities of the global political landscape.'),	
('TXT_KEY_BUILDING_JAR_DIPLOMIS_STRATEGY', 'A building that increases your geopolitic weight in the world as well as the defenses against foreign secret agents. A City must have a Constabulary before it can construct the Diplomatic Mission.'),	
('TXT_KEY_BUILDING_JAR_DIPLOMIS_HELP', '+1 [ICON_SPY] Spy.[NEWLINE]+2 [ICON_DIPLOMAT] Delegates.[NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost and [ICON_CITIZEN] Population Requirements increase based on the number of Cities you own. [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Constabulary[ENDCOLOR].'),
('TXT_KEY_BUILDING_JAR_NATTHEATRE', 'National Theater'),	
('TXT_KEY_BUILDING_JAR_NATTHEATRE_PEDIA', 'One of the earliest national theaters is the Comédie-Francaise in Paris, established in 1680, which served as a model for similar institutions. However, the idea of a dedicated national theater gained prominence in the 19th century as many European nations sought to establish cultural identity and foster a sense of unity. For instance, the National Theatre in London, founded in 1847, was established with the aim of providing a venue for high-quality drama that reflected the cultural heritage and aspirations of the British people.'),	
('TXT_KEY_BUILDING_JAR_NATTHEATRE_STRATEGY', 'This National Wonder boosts culture and prosperity empire-wide. A City must have an Amphitheater before it can construct the National Theater.'),	
('TXT_KEY_BUILDING_JAR_NATTHEATRE_HELP', '+2 [ICON_GOLDEN_AGE] Golden Age Points. [NEWLINE]25 [ICON_CULTURE] Culture on Great Person expending scaling with Era. [NEWLINE]All owned Amphitheaters gain +1 [ICON_GOLDEN_AGE] Golden Age Point. [NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost and [ICON_CITIZEN] Population Requirements increase based on the number of Cities you own. [NEWLINE]Newly founded Cities start with an [COLOR_POSITIVE_TEXT]Amphitheater[ENDCOLOR].'),
('TXT_KEY_BUILDING_JAR_NATAQUARIUM', 'National Aquarium'),	
('TXT_KEY_BUILDING_JAR_NATAQUARIUM_PEDIA', 'The world''s first national aquarium is often attributed to the Marine Biological Association of the United Kingdom, which opened its doors in 1887. This institution aimed to showcase marine specimens for scientific research and public education. The concept of national aquaria gained momentum in the 20th century, with many countries establishing their own facilities to promote marine awareness, research, and conservation. These institutions often play a dual role, serving as both educational centers for the public and hubs for scientific research to better understand and protect aquatic ecosystems. [NEWLINE][NEWLINE]Today, national aquaria around the world continue to evolve, incorporating advanced technologies and interactive exhibits to engage visitors and raise awareness about marine biodiversity and conservation issues. Many national aquaria also participate in breeding programs for endangered species, research initiatives, and collaborate with marine scientists to contribute valuable data to global efforts aimed at preserving the health of our oceans.'),	
('TXT_KEY_BUILDING_JAR_NATAQUARIUM_STRATEGY', 'Constructing this building boosts research and prosperity empire-wide. A City must have a Zoo before it can construct the National Aquarium.'),	
('TXT_KEY_BUILDING_JAR_NATAQUARIUM_HELP', '5% of [ICON_RESEARCH] Science output in all Cities is added as [ICON_GOLDEN_AGE] Golden Age Points Per Turn. [NEWLINE]All Zoos gain +1 [ICON_RESEARCH] Science. [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Circus[ENDCOLOR].'),
('TXT_KEY_BUILDING_JAR_NATSTADIUM', 'Olympic Stadium'),	
('TXT_KEY_BUILDING_JAR_NATSTADIUM_PEDIA', 'One of the earliest national stadiums is the Helsinki Olympic Stadium in Finland, completed in 1938. The stadium was initially constructed for the 1940 Summer Olympics, which were later canceled due to World War II. However, the Helsinki Olympic Stadium played a crucial role in hosting subsequent Olympic Games and became a symbol of national pride. This early example set the precedent for other nations to invest in large-scale, multipurpose stadiums that could host not only sports events but also cultural and national celebrations. [NEWLINE][NEWLINE]In the post-war era, many countries around the world followed suit, constructing national stadiums to host major sporting events and symbolize collective achievements. These venues often serve as iconic landmarks and focal points for national celebrations, hosting a variety of events ranging from sports competitions and concerts to political gatherings. As the demand for modern and state-of-the-art facilities increased, national stadiums evolved to incorporate advanced technologies, seating capacities, and amenities to meet the needs of diverse events and activities.'),	
('TXT_KEY_BUILDING_JAR_NATSTADIUM_STRATEGY', 'This National Wonder boosts duration of Golden Ages. A City must have a Stadium before it can construct the Olympic Stadium.'),	
('TXT_KEY_BUILDING_JAR_NATSTADIUM_HELP', 'Starts a [ICON_GOLDEN_AGE] Golden Age.[NEWLINE][ICON_GOLDEN_AGE] Golden Ages last 25% longer. [NEWLINE][NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]Zoo[ENDCOLOR].'),
('TXT_KEY_BUILDING_JAR_POLYTECHNIC', 'Polytechnic Institute'),	
('TXT_KEY_BUILDING_JAR_POLYTECHNIC_PEDIA', 'The concept of polytechnic education emerged as a response to the increasing demand for professionals trained in engineering, technology, and applied sciences. The world''s first polytechnic institute, École Polytechnique in France, founded in 1794, set the standard for institutions that focused on practical and hands-on learning to prepare individuals for careers in industry and innovation. The success of École Polytechnique inspired the establishment of similar institutions globally, with each adapting to the unique needs and priorities of their respective countries. [NEWLINE][NEWLINE]Several prominent polytechnic institutes have gained international recognition for their contributions to education, research, and technological advancements. Institutions like the Massachusetts Institute of Technology (MIT) in the United States, the Swiss Federal Institute of Technology (ETH Zurich) in Switzerland, and the Tokyo Institute of Technology in Japan have emerged as leaders in providing cutting-edge education and fostering innovation. These institutes have played a pivotal role in shaping the landscape of technology and engineering on a global scale, producing graduates who have made significant contributions to various industries and fields of study.'),	
('TXT_KEY_BUILDING_JAR_POLYTECHNIC_STRATEGY', 'A National Wonder affecting production and research. A City must have a Public School before it can construct the Polytechnic Institute.'),	
('TXT_KEY_BUILDING_JAR_POLYTECHNIC_HELP', '5% of [ICON_PRODUCTION] Production output in all Cities is added as [ICON_RESEARCH] Science Per Turn. [NEWLINE]All Universities gain +1 [ICON_PRODUCTION] Production. [NEWLINE]Newly founded Cities start with a [COLOR_POSITIVE_TEXT]University[ENDCOLOR].');
--======================================================================================================================
--======================================================================================================================